{
  "codeName" : "LinkTest",
  "controlType" : "FORM",
  "getCreatePSControlAction" : {
    "modelref" : true,
    "id" : "create"
  },
  "defaultLabelWidth" : 130,
  "dynaModelFilePath" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone/PSFORMS/LinkTest.json",
  "getGetDraftFromPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraftfrom"
  },
  "getGetDraftPSControlAction" : {
    "modelref" : true,
    "id" : "loaddraft"
  },
  "getGetPSControlAction" : {
    "modelref" : true,
    "id" : "load"
  },
  "logicName" : "LinkTest",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/TemplatePublish/PSAPPDATAENTITIES/Phone.json"
  },
  "getPSDEFormItems" : [ {
    "id" : "srfupdatedate",
    "hidden" : true,
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "UPDATEDATE",
      "codeName" : "UpdateDate"
    }
  }, {
    "id" : "srforikey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfkey",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "id" : "srfmajortext",
    "hidden" : true,
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONENAME",
      "codeName" : "PhoneName"
    }
  }, {
    "id" : "srftempmode",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfuf",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfdeid",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "srfsourcekey",
    "hidden" : true,
    "dataType" : 25
  }, {
    "id" : "createdate",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "CREATEDATE",
      "codeName" : "CreateDate"
    }
  }, {
    "id" : "createman",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "CREATEMAN",
      "codeName" : "CreateMan"
    }
  }, {
    "id" : "money",
    "dataType" : 6,
    "getPSAppDEField" : {
      "name" : "MONEY",
      "codeName" : "Money"
    }
  }, {
    "id" : "phoneid",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "PHONEID",
      "codeName" : "PhoneId"
    }
  }, {
    "id" : "orgid",
    "dataType" : 25,
    "getPSAppDEField" : {
      "name" : "ORGID",
      "codeName" : "OrgId"
    }
  }, {
    "id" : "end",
    "dataType" : 5,
    "getPSAppDEField" : {
      "name" : "END",
      "codeName" : "End"
    }
  } ],
  "getPSDEFormPages" : [ {
    "codeName" : "formpage1",
    "detailStyle" : "DEFAULT",
    "detailType" : "FORMPAGE",
    "name" : "formpage1",
    "getPSDEFormDetails" : [ {
      "actionGroupExtractMode" : "ITEM",
      "codeName" : "grouppanel1",
      "detailStyle" : "DEFAULT",
      "detailType" : "GROUPPANEL",
      "name" : "grouppanel1",
      "getPSDEFormDetails" : [ {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "dataType" : 5,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createdate",
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "allowEmpty" : true,
        "showCaption" : true
      }, {
        "caption" : "建立人",
        "codeName" : "createman",
        "dataType" : 25,
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMITEM",
        "enableCond" : 3,
        "ignoreInput" : 3,
        "labelPos" : "LEFT",
        "labelWidth" : 130,
        "name" : "createman",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEMAN",
          "codeName" : "CreateMan"
        },
        "getPSEditor" : {
          "editorType" : "SPAN",
          "name" : "createman",
          "getPSAppCodeList" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/TemplatePublish/PSAPPCODELISTS/SysOperator.json"
          },
          "enableLinkView" : false
        },
        "getPSLayoutPos" : {
          "colMD" : 24,
          "layout" : "TABLE_24COL"
        },
        "allowEmpty" : true,
        "convertToCodeItemText" : true,
        "showCaption" : true
      } ],
      "getPSLayout" : {
        "childColLG" : -1,
        "childColMD" : 24,
        "childColSM" : -1,
        "childColXS" : -1,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "infoGroupMode" : false,
      "showCaption" : true
    }, {
      "caption" : "金额",
      "codeName" : "money",
      "dataType" : 6,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "money",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "MONEY",
        "codeName" : "Money"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "name" : "money"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "unitName" : "元",
      "allowEmpty" : true,
      "enableUnitName" : true,
      "showCaption" : true
    }, {
      "caption" : "手机标识",
      "codeName" : "phoneid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "phoneid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "PHONEID",
        "codeName" : "PhoneId"
      },
      "getPSEditor" : {
        "editorType" : "SPAN",
        "name" : "phoneid",
        "enableLinkView" : false
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "组织机构标识",
      "codeName" : "orgid",
      "dataType" : 25,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "orgid",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "ORGID",
        "codeName" : "OrgId"
      },
      "getPSEditor" : {
        "editorType" : "TEXTBOX",
        "maxLength" : 60,
        "name" : "orgid"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "allowEmpty" : true,
      "showCaption" : true
    }, {
      "caption" : "结束时间",
      "codeName" : "end",
      "dataType" : 5,
      "detailStyle" : "DEFAULT",
      "detailType" : "FORMITEM",
      "enableCond" : 3,
      "ignoreInput" : 0,
      "itemWidth" : 290.0,
      "labelPos" : "LEFT",
      "labelWidth" : 130,
      "name" : "end",
      "noPrivDisplayMode" : 1,
      "getPSAppDEField" : {
        "name" : "END",
        "codeName" : "End"
      },
      "getPSEditor" : {
        "dateTimeFormat" : "YYYY-MM-DD HH:mm:ss",
        "editorParams" : {
          "TIMEFMT" : "YYYY-MM-DD HH:mm:ss"
        },
        "editorType" : "DATEPICKER",
        "editorWidth" : 160.0,
        "name" : "end"
      },
      "getPSLayoutPos" : {
        "colMD" : 24,
        "layout" : "TABLE_24COL"
      },
      "valueFormat" : "YYYY-MM-DD HH:mm:ss",
      "allowEmpty" : false,
      "showCaption" : true
    } ],
    "getPSLayout" : {
      "childColLG" : -1,
      "childColMD" : 24,
      "childColSM" : -1,
      "childColXS" : -1,
      "columnCount" : 24,
      "layout" : "TABLE_24COL"
    },
    "infoGroupMode" : false
  } ],
  "getPSLayout" : {
    "childColLG" : -1,
    "childColMD" : 24,
    "childColSM" : -1,
    "childColXS" : -1,
    "columnCount" : 24,
    "layout" : "TABLE_24COL"
  },
  "getRemovePSControlAction" : {
    "modelref" : true,
    "id" : "remove"
  },
  "tabHeaderPos" : "TOP",
  "getUpdatePSControlAction" : {
    "modelref" : true,
    "id" : "update"
  },
  "noTabHeader" : true,
  "modelid" : "B63A290D-3808-45ED-824D-7A0A7E194DE2",
  "modeltype" : "PSDEFORM_EDITFORM"
}